printer_end_page
printer_list
Printer Functions
PHP Manual

# printer_get_option

Retrieve printer configuration data

### Description

mixed printer_get_option ( resource `$printer_handle` , string `$option` )

The function retrieves the configuration setting of `option`.

### Parameters

`printer_handle`

  `printer_handle` must be a valid handle to a printer.

`option`

  Take a look at printer_set_option for the settings that can be retrieved, additionally the following settings can be retrieved:

  - `PRINTER_DEVICENAME` returns the devicename of the printer.
  - `PRINTER_DRIVERVERSION` returns the printer driver version.

### Return Values

Returns the value of `option`.

### Examples

Example #1 printer_get_option example

`<?php
$handle = printer_open();
echo printer_get_option($handle, PRINTER_DRIVERVERSION);
printer_close($handle);
?>`